Subject: Re: [PATCH v2 net-next 0/7] selftests: net: Switch pmtu.sh to use the internal ovs script.

From: Jakub Kicinski <[email-masked]>
Date: Tue, 25 Jun 2024 07:41:45 -0700

On Tue, 25 Jun 2024 10:14:24 -0400 Aaron Conole wrote:
> > Sorry for not checking it earlier, looks like the runner was missing
> > pyroute:
> >
> > # python3 ./tools/testing/selftests/net/openvswitch/ovs-dpctl.py
> > Need to install the python pyroute2 package >= 0.6.
> >
> > I guess run_cmd counter-productively eats the stderr output ? :(  
> 
> Awesome :)  I will add a patch to ovs-dpctl that will turn the
> sys.exit(0) into sys.exit(1) - that way it should do the skip.
> 
> When I previously tested, I put an error in the `try` without reading
> the except being specifically for a ModuleNotFound error.
> 
> I'll make sure pyroute2 isn't installed when I run it again.
> 
> Thanks for your help Jakub and Paolo!

BTW I popped the v2 back into the queue, so the next run (in 20min)
will tell us if that's the only thing we were missing 🤞️